/**
 * @description Cache of API responses.
 */
export type SweepFilterOptions<V> = (value: {
    value: V;
    timestamp: number;
    size: number;
}, key: string) => boolean;
export declare class ClientCache<V> extends Map<string, V> {
    private lifeMap;
    private maxSize?;
    constructor(cacheOptions: {
        maxSize?: number;
    });
    sweep(fn: SweepFilterOptions<V>): void;
    set(key: string, value: V): this;
    get(key: string): V;
}
