import type { ClientOptions } from "../client/client";
import { ClientCache } from "../client/clientCache";
import type { ClientCookieManager } from "../client/clientCookieManager";
import type { Language } from "../constants/lang";
export interface FetchOptions {
    cookie?: string;
    language?: Language;
}
export type Options<T> = Omit<ClientOptions, "debug" | "language"> & {
    defaultOptions?: FetchOptions & T;
};
export declare class BaseRoute<CacheType> {
    readonly cache: ClientCache<CacheType>;
    readonly cookieManager?: ClientCookieManager;
    constructor(options?: Options<FetchOptions>);
}
