"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeOptions = void 0;
function mergeOptions(input, type = "FetchOptions") {
    const options = input.options;
    const cookieManager = input.cookieManager;
    const defaultOptions = input.defaultOptions;
    const cookie = options?.cookie ?? cookieManager?.get().cookie ?? defaultOptions?.cookie;
    const language = options?.language ?? defaultOptions?.language ?? "en-us" /* Language.EnglishUS */;
    if (type === "SpiralAbyssFetchOptions") {
        const options = input.options;
        return {
            cookie,
            language,
            previous: options?.previous,
        };
    }
    if (type === "FetchClaimHistoryOption") {
        const options = input.options;
        return {
            cookie,
            language,
            page: options?.page,
        };
    }
    if (type === "CardListOptions") {
        const options = input.options;
        const { need_avatar, need_action, need_stats, offset, limit } = options ?? {};
        return {
            cookie,
            language,
            need_avatar,
            need_action,
            need_stats,
            offset,
            limit,
        };
    }
    if (type === "MonthDiaryOptions") {
        const options = input.options;
        return {
            cookie,
            language,
            month: options?.month,
        };
    }
    return {
        cookie,
        language,
    };
}
exports.mergeOptions = mergeOptions;
